[ovs-discuss] Problem while installing Openvswitch on XenServer 5.6 FP1

Ramana Reddy gtvrreddy at gmail.com
Thu Jul 14 10:53:39 UTC 2011


I have given the following values

   VERSION=1.1.1
   KERNEL_NAME=xen
   KERNEL_VERSION=2.6.32.12-0.7.1.xs5.6.100.314.170588
   KERNEL_FLAVOR=xen

After running
rpmbuild \
        -D "openvswitch_version $VERSION" \
        -D "kernel_name $KERNEL_NAME" \
        -D "kernel_version $KERNEL_VERSION" \
        -D "kernel_flavor $KERNEL_FLAVOR" \
        -bb openvswitch-$VERSION/xenserver/openvswitch-xen.spec

It successfully generated the files:
Wrote: /usr/src/redhat/RPMS/i386/openvswitch-1.1.1-1.i386.rpm
Wrote:
/usr/src/redhat/RPMS/i386/openvswitch-modules-xen-2.6.32.12-0.7.1.xs5.6.100.314.170588-1.1.1-1.i386.rpm
Wrote: /usr/src/redhat/RPMS/i386/openvswitch-debuginfo-1.1.1-1.i386.rpm

Once I copied the first two rpm files and installed on XenServer 5.6 Fp1
using rpm -U command
it giving the following error messages:

#rpm -U openvswitch-1.1.1-1.i386.rpm
openvswitch-modules-xen-2.6.32.12-0.7.1.xs5.6.100.314.170588-1.1.1-1.i386.rpm

error: Failed dependencies:
    kernel-xen = 2.6.32.12-0.7.1.xs5.6.100.314.170588 is needed by
openvswitch-modules-xen-2.6.32.12-0.7.1.xs5.6.100.314.170588-1.1.1-1.i386

I have verified the contents in rpm files, and there is only one .ko module
in
openvswitch-modules-xen-2.6.32.12-0.7.1.xs5.6.100.314.170588-1.1.1-1.i386.rpm


That is
/lib/modules/2.6.32.12-0.7.1.xs5.6.100.314.170588xen/extra/openvswitch/openvswitch_mod.ko

What is wrong in that, why dependency problem is coming. Is there any thing
missing.

Help in this regards is highly appreciated.

Thanks,
Ramana Reddy.
-------------- next part --------------
An HTML attachment was scrubbed...
URL: <http://openvswitch.org/pipermail/ovs-discuss/attachments/20110714/1c21088c/attachment.html>


More information about the discuss mailing list